Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.tapestry5.alerts
Enum Severity

    java.lang.Object
      java.lang.Enum<Severity>
          org.apache.tapestry5.alerts.Severity

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Severity>

    public enum Severity

extends java.lang.Enum<Severity>

The severity of an `Alert`, used primarily to control how it is decorated when presented to the user on the client side.

Since:
  5.3

Enum Constant Summary
`ERROR`
`INFO`
`SUCCESS`
`WARN`

Field Summary
`java.lang.String` | `cssClass` The CSS class to be used for the client list element.

Method Summary
`static Severity` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Severity[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### SUCCESS

    public static final Severity SUCCESS

Since:
  5.3.6

### INFO

    public static final Severity INFO

Since:
  5.3

### WARN

    public static final Severity WARN

Since:
  5.3

### ERROR

    public static final Severity ERROR

Since:
  5.3

Field Detail

### cssClass

    public final java.lang.String cssClass

  The CSS class to be used for the client list element.

Method Detail

### values

    public static final Severity[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(Severity c : Severity.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static Severity valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2003-2012 The Apache Software Foundation.